# PSF-LoginServer - master - net.psforever.objects.zones.Zoning.Method
PSF - LoginServer - master - net.psforever.objects.zones.Zoning.Method
Keywords: PSF LoginServer master net.psforever.objects.zones.Zoning.Method

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  object Zoning
  Definition Classes
    zones
- InstantAction
- Method
- Quit
- Recall
- Status
- Time

o

net.psforever.objects.zones.Zoning

# Method

###

#### object Method extends Enumeration

Source
  Zoning.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Method
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val InstantAction: Value
5.  val None: Value
6.  val OutfitRecall: Value
7.  val Quit: Value
8.  val Recall: Value
9.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
11.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
12.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
13.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
14.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def maxId: Int
    Definition Classes
      Enumeration
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
25.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
31.  def values: ValueSet
    Definition Classes
      Enumeration
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
35.  final def withName(s: String): Value
    Definition Classes
      Enumeration
36.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped